[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFieldDefClass

Class of TFieldDef.

## Declaration

Source position: db.pas line 202

`type TFieldDefClass = class of TFieldDef;`

## Description

TFieldDefClass is used to be able to customize the actual TDataset.FieldDefs items class.

## See also

TDataset.FieldDefs |  | Definitions of available fields in the underlying database
TFieldDef |  | Class to describe one field in a record in a dataset